## mx4j.tools.connector.rmi.iiop
Class IIOPConnector

    java.lang.Object
      mx4j.tools.connector.rmi.RMIConnector
          mx4j.tools.connector.rmi.iiop.IIOPConnector

All Implemented Interfaces:
  JMXConnector, java.io.Serializable

public class IIOPConnector
extends RMIConnector

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`IIOPConnector()`

Method Summary
`protected javax.management.NotificationFilter` `createRemoteNotificationFilter(javax.management.NotificationFilter filter)`
`protected javax.management.NotificationListener` `createRemoteNotificationListener(javax.management.NotificationListener listener)`
`protected RemoteAdaptor` `narrow(java.lang.Object object)`

Methods inherited from class mx4j.tools.connector.rmi.RMIConnector
`close, connect, getRemoteHostAddress, getRemoteHostName, getRemoteMBeanServer, invoke, setInvocationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IIOPConnector

    public IIOPConnector()

Method Detail

### narrow

    protected RemoteAdaptor narrow(java.lang.Object object)

  Specified by:
    `narrow` in class `RMIConnector`

### createRemoteNotificationListener

    protected javax.management.NotificationListener createRemoteNotificationListener(javax.management.NotificationListener listener)
                                                                              throws java.rmi.RemoteException

  Specified by:
    `createRemoteNotificationListener` in class `RMIConnector`
  Throws:
    `java.rmi.RemoteException`

### createRemoteNotificationFilter

    protected javax.management.NotificationFilter createRemoteNotificationFilter(javax.management.NotificationFilter filter)
                                                                          throws java.rmi.RemoteException

  Specified by:
    `createRemoteNotificationFilter` in class `RMIConnector`
  Throws:
    `java.rmi.RemoteException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.